changeset 1608:e5d81c69729b draft

Oops. xfork() moved to portability.c and the config2help.c build wasn't including that. (Worked until I did a "make clean".)
author Rob Landley <rob@landley.net>
date Sat, 13 Dec 2014 12:09:25 -0600
parents eee7dfe95a8f
children 1c152e2c5b27
files scripts/make.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/make.sh	Sat Dec 13 11:59:37 2014 -0600
+++ b/scripts/make.sh	Sat Dec 13 12:09:25 2014 -0600
@@ -209,7 +209,7 @@
 if [ generated/config2help -ot scripts/config2help.c ]
 then
   do_loudly $HOSTCC scripts/config2help.c -I . lib/xwrap.c lib/llist.c \
-    lib/lib.c -o generated/config2help || exit 1
+    lib/lib.c lib/portability.c -o generated/config2help || exit 1
 fi
 generated/config2help Config.in $KCONFIG_CONFIG > generated/help.h || exit 1